//
//  YHResignDocumentStatus.swift
//  galaxy
//
//  Created by alexzzw on 2024/9/11.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import Foundation

enum YHResignDocumentStatus: Int {
    case pendingConfirmation = 0
    case finalizing = 1
    case underReview = 2
    case awaitingSignature = 3
    case completed = 4
    
    func title() -> String {
        switch self {
        case .pendingConfirmation:
            "待确认".local
        case .finalizing:
            "定稿中".local
        case .underReview:
            "审核中".local
        case .awaitingSignature:
            "待签字".local
        case .completed:
            "已完成".local
        }
    }
    
    func textColor() -> UIColor {
        switch self {
        case .pendingConfirmation:
            UIColor.brandMainColor
        case .finalizing:
            UIColor.yhOrangeColor
        case .underReview:
            UIColor.yhOrangeColor
        case .awaitingSignature:
            UIColor.brandMainColor
        case .completed:
            UIColor.yhGreenColor
        }
    }
    
    func iconName() -> String {
        switch self {
        case .pendingConfirmation:
            "blue_right_arrow"
        case .finalizing:
            "orange_right_arrow"
        case .underReview:
            "orange_right_arrow"
        case .awaitingSignature:
            "blue_right_arrow"
        case .completed:
            "green_right_arrow"
        }
    }
}
